Bug 29899 - Show public note to patrons when placing a hold
Summary: Show public note to patrons when placing a hold
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 29972
  Show dependency treegraph
 
Reported: 2022-01-18 15:50 UTC by Kelly McElligott
Modified: 2022-02-07 14:37 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 29899: Show public note to patrons when placing a hold (3.20 KB, patch)
2022-01-18 18:09 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29899: Show public note to patrons when placing a hold (3.25 KB, patch)
2022-01-18 18:21 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 29899: Show public note to patrons when placing a hold (3.33 KB, patch)
2022-01-19 12:40 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kelly McElligott 2022-01-18 15:50:58 UTC
There are times that libraries use the public note field to say something specific about the item.  This note could be useful to the patrons when they are placing an item-specific hold.

For example, say a library has 3 copies of a popular DVD, they are all on the same bibliographic record.  Say one of these copies includes the Director's Cut, making it slightly different and noted in the Public Note field. This is something that a patron might want to specifically place a hold on for that reason. Currently, the patron can see the public note when viewing the record and the copies, but this public note is not visible when placing a hold, so the patron doesn't know which copy to pick to get the one with the Director's Cut.
Comment 1 Owen Leonard 2022-01-18 18:09:57 UTC
Created attachment 129586 [details] [review]
Bug 29899: Show public note to patrons when placing a hold

This patch adds public note to the table of information shown about
items when placing a hold on a specific item in the OPAC.

To test, apply the patch and check Administration -> Circulation and
fine rules. You should have at least one patron category/item type
configured to allow OPAC item level holds.

- Modify an item to add information to the "Public note" field.
- Locate that record in the OPAC and place a hold on it.
- On the "Placing hold" page, click "Show more options" and "A specific
  item."
- In the table of items you should see a "Notes" column showing the
  information you added to the item.
Comment 2 Lucas Gass 2022-01-18 18:21:34 UTC
Created attachment 129587 [details] [review]
Bug 29899: Show public note to patrons when placing a hold

This patch adds public note to the table of information shown about
items when placing a hold on a specific item in the OPAC.

To test, apply the patch and check Administration -> Circulation and
fine rules. You should have at least one patron category/item type
configured to allow OPAC item level holds.

- Modify an item to add information to the "Public note" field.
- Locate that record in the OPAC and place a hold on it.
- On the "Placing hold" page, click "Show more options" and "A specific
  item."
- In the table of items you should see a "Notes" column showing the
  information you added to the item.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 3 Jonathan Druart 2022-01-19 12:40:06 UTC
Created attachment 129602 [details] [review]
Bug 29899: Show public note to patrons when placing a hold

This patch adds public note to the table of information shown about
items when placing a hold on a specific item in the OPAC.

To test, apply the patch and check Administration -> Circulation and
fine rules. You should have at least one patron category/item type
configured to allow OPAC item level holds.

- Modify an item to add information to the "Public note" field.
- Locate that record in the OPAC and place a hold on it.
- On the "Placing hold" page, click "Show more options" and "A specific
  item."
- In the table of items you should see a "Notes" column showing the
  information you added to the item.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Fridolin Somers 2022-01-28 21:04:02 UTC
BTW no columns settings for this table actually.
Comment 5 Lucas Gass 2022-01-28 21:10:00 UTC
(In reply to Fridolin Somers from comment #4)
> BTW no columns settings for this table actually.

It would be nice if it could be, so I filed Bug 29972
Comment 6 Fridolin Somers 2022-01-28 21:13:28 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄